## find-file-in-project 5.7.9

=== Makefile ===
SHELL = /bin/sh
EMACS ?= emacs
PROFILER =

.PHONY: test

# Delete byte-compiled files etc.
clean:
	rm -f *~
	rm -f \#*\#
	rm -f *.elc

# Run tests.
test: clean
	! $(EMACS) -Q -batch --eval "(defun ivy-read (a1 a2 &optional a3 a4))" -l find-file-in-project.el --eval "(byte-compile-file \"find-file-in-project.el\")" 2>&1 | grep "Warning: the function"
	$(EMACS) -Q -batch -l ert -l find-file-in-project.el -l tests/ffip-tests.el

## find-file-in-project 5.5.2

=== debian/changelog ===
find-file-in-project (5.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Relax debhelper dependency to 11~ to allow backporting.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 26 Feb 2018 16:05:45 -0500

find-file-in-project (5.4.7-1) unstable; urgency=medium

  * New upstream release.
  * Declare compat level 11.
  * Switch to debhelper 11.
  * Declare Standards-Version: 4.1.3. (No additional changes needed)
  * Switch Vcs from alioth to salsa.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 27 Jan 2018 16:58:55 -0500

find-file-in-project (5.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Declare Standards-Version: 4.1.2. (No additional changes needed)
  * Drop 01-patch-upstream-test.patch. (merged upstream)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 21 Dec 2017 21:41:04 -0500

find-file-in-project (5.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Declare Standards-Version: 4.1.1. (No additional changes needed)
  * Drop redundant emacsen-common dependency.
  * Update 01-patch-upstream-test.patch; it will probably be dropped for
    the next upstream release.
  * Customise dh_elpa_test instead of using tests/test.sh.  Hopefully the
    parts adapted from flycheck will allow Debian CI autopkgtests to pass.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 30 Nov 2017 02:58:09 -0500

find-file-in-project (5.4.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Initial release. (Closes: #861242)
  * Add 00-use-local-copy-of-screenshot.patch to use local copy of screenshot
  * Add 01-patch-upstream-test.patch to fix failures of tests in pbuilder,
    sbuild, et al.

  [ Sean Whitton ]
  * make d/copyright reflect how upstream records the copyright history

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 07 Sep 2017 09:24:38 -0400

=== debian/control ===
Source: find-file-in-project
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 11~)
             , dh-elpa
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git
Homepage: https://github.com/technomancy/find-file-in-project
Testsuite: autopkgtest-pkg-elpa

Package: elpa-find-file-in-project
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
        , emacs25
Description: quick access to project files in Emacs
 This program provides a couple methods for quickly finding any file
 in a given project. It depends on GNU Find.
 .
 By default, it will automatically search files in a directory managed
 by git/subversion/mercurial. But you can easily switch to other types
 of projects.
 .
 Features:
 .
   * Fast! Tested with projects that have 50,000+ files
   * You can tweak find's behaviour using ffip-find-options
   * Smart. For keyword “helloWorld”, “HelloWorld.html”,
     “hello-world.css”, and “HelloWorld.js” are searched

## find-file-in-project 5.6.8

=== debian/changelog ===
find-file-in-project (5.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 14 Jul 2018 21:06:16 -0400

find-file-in-project (5.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Maintainer team name and email address.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 26 May 2018 21:11:16 -0400

find-file-in-project (5.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Declare Standards-Version: 4.1.4. (No additional changes needed)
  * Change section to editors, which is more accurate and discoverable.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 12 Apr 2018 16:47:53 -0400

find-file-in-project (5.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 04 Apr 2018 15:34:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: find-file-in-project
-Section: lisp
+Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
 Build-Depends: debhelper (>= 11~)
              , dh-elpa
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
 Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git
 Homepage: https://github.com/technomancy/find-file-in-project

## find-file-in-project 5.7.3

=== debian/changelog ===
find-file-in-project (5.7.3-1) unstable; urgency=medium

  * New upstream release.
    - Adds one commit (2f1c987).  In 5.7.2, it sounds like this package's
      fd-find support was either configured to skip hidden files, or that
      fd-find's behaviour was undefined and nondeterministic.  This commit
      explicitly configures fd-find to include hidden files/dirs in its
      searches.
  * Switch from debhelper 11~ to debhelper-compat 11, and drop debian/compat.
  * Update long description to refer "fd-find" rather than the more vague "fd".
  * Revert section change request from lisp->editors, because
    find-file-in-project is not a major nor minor mode, does not edit
    anything, and can have no work-with:file-type debtags.  Thus, the "lisp"
    catch-all section appears to be most appropriate.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 17 Feb 2019 20:56:05 -0700

find-file-in-project (5.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Add Suggests for "fd" (fd-find) an alternative to GNU find
    written in Rust.
  * Enhance long description to better explain this package's capabilities.
  * Add 2019 to my copyright years range.
  * Declare Standards-Version: 4.3.0. (No changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 08 Feb 2019 00:30:38 -0700

find-file-in-project (5.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebase 00-use-local-copy-of-screenshot.patch against 5.7.1.
  * Reflect upstream update to copyright years, and update my own.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 14 Dec 2018 19:17:15 -0700

find-file-in-project (5.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Declare Standards-Version: 4.2.1. (No changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 28 Nov 2018 18:20:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: find-file-in-project
-Section: editors
+Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 11)
              , dh-elpa
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
 Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git
 Homepage: https://github.com/technomancy/find-file-in-project
@@ -18,13 +18,15 @@
 Recommends: emacs (>= 46.0)
 Enhances: emacs
         , emacs25
+Suggests: fd-find
 Description: quick access to project files in Emacs
  This program provides a couple methods for quickly finding any file
- in a given project. It depends on GNU Find.
+ in a given project. It depends on GNU Find, but can also use fd-find.
+ Find-file-in-project prefers Ivy but will also work with Ido Mode.
  .
- By default, it will automatically search files in a directory managed
- by git/subversion/mercurial. But you can easily switch to other types
- of projects.
+ By default, it will automatically search for files in a local copy of
+ a Git, Subversion, or Mercurial repository.  Files in remote repositories
+ are searcheable using TRAMP.
  .
  Features:
  .

## find-file-in-project 5.7.7

=== debian/changelog ===
find-file-in-project (5.7.7-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 05 Aug 2019 16:29:50 -0400

find-file-in-project (5.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat 12.
  * Drop Debian-specific elpa-test and ert-helper.el because upstream now
    uses ffip-tests.el to run tests rather than a custom test.sh.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 08 Jul 2019 13:55:58 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 11)
+Build-Depends: debhelper-compat (= 12)
              , dh-elpa
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project

## find-file-in-project 5.7.9

=== debian/changelog ===
find-file-in-project (5.7.9-1) unstable; urgency=medium

  * New upstream release.
    - Adds enhanced facilities for working with diffs.
    - Adds an opt-in find method implemented in pure Emacs Lisp.
    - See the new long description for more information.
  * Drop emacs25 from Enhances, because "emacs" suffices.
  * Update long description.
  * Declare Standards-Version: 4.3.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 23 Jan 2020 09:02:44 -0500

=== debian/control ===
Source: find-file-in-project
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 12)
             , dh-elpa
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git
Homepage: https://github.com/technomancy/find-file-in-project
Testsuite: autopkgtest-pkg-elpa

Package: elpa-find-file-in-project
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Suggests: fd-find
Description: quick access to project files in Emacs
 This program provides a methods for quickly finding any file in a
 project.  It defaults to GNU Find, but can also use fd-find, or its
 built-in Emacs Lisp method.  Find-file-in-project prefers Ivy for
 candidate selection, but can be configured to use Ido Mode.
 .
 By default, FFIP will search for files in a local Git, Subversion, or
 Mercurial repository.  FFIP uses TRAMP to find files in remote
 repositories, and claims this is "flawlessly" supported.
 .
 Features:
 .
   * Fast!  Tested with projects that have 50,000+ files
   * Find's behaviour can be tweaked using ffip-find-options
   * Smart.  For keyword "helloWorld", "HelloWorld.html",
     "hello-world.css", and "HelloWorld.js" are searched
   * Enhances diff-mode with more convenient patch-handling, including
     diff creation, application, finding the file associated with a given
     hunk, and jumping to the section relevant to that hunk
   * No configuration required.  Find-file-in-project works out-of-the-box

## find-file-in-project 5.7.10

=== debian/changelog ===
find-file-in-project (5.7.10-1) unstable; urgency=medium

  * New upstream release.
  * control: Add Rules-Requires-Root: no.
  * Switch to debhelper-compat 13.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 10 May 2020 20:52:14 -0400

## find-file-in-project 6.0.0

=== debian/changelog ===
find-file-in-project (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt patches onto this release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 14 Jan 2021 17:21:04 -0500

find-file-in-project (5.7.13-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 20 Nov 2020 13:29:06 -0500

find-file-in-project (5.7.12-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 03 Nov 2020 21:49:05 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
              , dh-elpa
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
 Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git

## find-file-in-project 6.0.1

=== Makefile ===
SHELL = /bin/sh
EMACS ?= emacs
PROFILER =

.PHONY: test

# Delete byte-compiled files etc.
clean:
	rm -f *~
	rm -f \#*\#
	rm -f *.elc

# Run tests.
test: clean
	! $(EMACS) -Q -batch -l find-file-in-project.el --eval "(byte-compile-file \"find-file-in-project.el\")" 2>&1 | grep "Warning: the function"
	$(EMACS) -Q -batch -l ert -l find-file-in-project.el -l tests/ffip-tests.el

=== debian/changelog ===
find-file-in-project (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 01 Mar 2021 08:53:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no

## find-file-in-project 6.0.7

=== debian/changelog ===
find-file-in-project (6.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Update long description with new features.
  * Add elpa-ivy to Suggests (was previously a hard-coded requirement), and
    also add elpa-helm to Suggests to be fair to users who prefer Helm.
  * Promote fd-find to Recommends, because GNU Find is surprisingly slow in
    even medium sized projects, and it is clear that the use of fd-find
    results in a superior user experience.
  * Add NEWS file to document how fd-find is no longer autoenabled, with
    instructions on how to reenable it.
  * Update my copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 16 Aug 2021 18:46:50 -0400

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,15 @@
 Depends: ${elpa:Depends}
        , ${misc:Depends}
 Recommends: emacs (>= 46.0)
+          , fd-find
 Enhances: emacs
-Suggests: fd-find
+Suggests: elpa-ivy | elpa-helm
 Description: quick access to project files in Emacs
- This program provides a methods for quickly finding any file in a
- project.  It defaults to GNU Find, but can also use fd-find, or its
- built-in Emacs Lisp method.  Find-file-in-project prefers Ivy for
- candidate selection, but can be configured to use Ido Mode.
+ This library provides methods for quickly finding any file in a project.  It
+ uses GNU Find by default, but can also use (the significantly faster)
+ fd-find.  Find-file-in-project supports the following candidate selection
+ interfaces: Consult, Helm, Ido, Ivy, Selectrum, and the Emacs built-in
+ 'completing-read'.
  .
  By default, FFIP will search for files in a local Git, Subversion, or
  Mercurial repository.  FFIP uses TRAMP to find files in remote
@@ -33,9 +35,10 @@
  .
    * Fast!  Tested with projects that have 50,000+ files
    * Find's behaviour can be tweaked using ffip-find-options
-   * Smart.  For keyword "helloWorld", "HelloWorld.html",
-     "hello-world.css", and "HelloWorld.js" are searched
+   * Smart! The keyword "helloWorld", returns "HelloWorld.html",
+     "hello-world.css", and "HelloWorld.js".
    * Enhances diff-mode with more convenient patch-handling, including
      diff creation, application, finding the file associated with a given
      hunk, and jumping to the section relevant to that hunk
    * No configuration required.  Find-file-in-project works out-of-the-box
+   * Supports evil-mode, with additional configuration (see README)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%find-file-in-project-$1.tar.gz%" \
     https://github.com/technomancy/find-file-in-project/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## find-file-in-project 6.2.0

=== debian/changelog ===
find-file-in-project (6.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release.
  * Add 0002-simplify-installation-README.patch, which drops installation
    instructions that are not relevant to the Debian package and that may
    confuse new Emacs users.
  * Add git to bin:elpa-find-file-in-project's depends, because various
    functions will not fail gracefully when calls to the "git" command fail;
    This is for maximal correctness, as it seems that everyone who uses this
    package is already a git user, which is why no one has yet encountered
    the bug cause by this missing dependency.
  * Create debian/elpa-test, and disable the truncation of backtraces for
    failing tests.
  * Explicitly load "tests/ffip-tests.el" in elpa-test.
  * Declare Standards-Version: 4.6.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sun, 01 May 2022 15:28:46 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
 Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git
 Homepage: https://github.com/technomancy/find-file-in-project
@@ -16,6 +16,7 @@
 Architecture: all
 Depends: ${elpa:Depends}
        , ${misc:Depends}
+       , git
 Recommends: emacs (>= 46.0)
           , fd-find
 Enhances: emacs

## find-file-in-project 6.2.1

=== debian/changelog ===
find-file-in-project (6.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xiyue Deng ]
  * New upstream release
  * Update d/watch using substitute strings to be more robust
  * Update Standards-Version to 4.7.0; no change needed
  * Add myself to Uploaders
  * Refresh patches using gbp pq

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 27 Nov 2024 00:59:09 -0800

find-file-in-project (6.2.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:33:09 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <sten@debian.org>
+Uploaders: Nicholas D Steeves <sten@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
 Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git
 Homepage: https://github.com/technomancy/find-file-in-project

## find-file-in-project 6.2.3

=== debian/changelog ===
find-file-in-project (6.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Add 0003-Revert-try-to-fix-test-for-debian.patch.
  * Fix mistakes and undocumented changes introduced in previous upload:
    + Upstream updated their copyright years in 6.2.1, so update our copy of
    their claims.
    - Revert "Add git to Build-Depends required by Salsa CI".
    It is wrong to install Salsa-specific dependencies onto buildd systems.
    CI deps need to be injected using a Salsa CI mechanism (P.S. An upload
    isn't needed for this); This change was undocumented in 6.2.1-1.
    + 00-use-local-copy-of-screenshot.patch was renamed to
    0001-Use-local-copy-of-screenshot.patch
    + Document creation of debian/upstream/metadata.
    + Update 0002-simplify-installation-README.patch to cut newly introduced
    sections that are irrelevant to Debian users.
    + There is no such thing as "substitute strings".  The watch file was made
    more robust by using string substitution.
  * Add elpa-counsel to Suggests, because the README suggests using
    counsel-git to find files and counsel-git-grep to find patterns.
  * Add 0004-use-Debian-fdfind-path.patch.  Our `fd` has been installed to
    /usr/bin/fdfind since rust-fd-find 7.4.0-1, and thus our
    find-file-in-project package needs this integration patch to work
    out-of-the-box.
  * Declare Standards-Version: 4.7.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 09 May 2025 14:55:38 -0400

## find-file-in-project 6.2.5

=== Makefile ===
SHELL = /bin/sh
EMACS ?= emacs
PROFILER =
EMACS_GENERIC_OPTS=-Q -L . -L deps/ivy-0.13.4
EMACS_BATCH_OPTS:=--batch $(EMACS_GENERIC_OPTS)
RM = @rm -rf

.PHONY: test clean test compile

# Delete byte-compiled files etc.
clean:
	$(RM) *~
	$(RM) \#*\#
	$(RM) *.elc

compile: clean
	@$(EMACS) $(EMACS_BATCH_OPTS) -l tests/my-byte-compile.el 2>&1 | grep -E "([Ee]rror|[Ww]arning):" && exit 1 || exit 0

# Run tests.
test: compile
	@$(EMACS) $(EMACS_BATCH_OPTS) -l tests/ffip-tests.el

runemacs:
	@mkdir -p deps;
	@if [ ! -f deps/ivy-0.13.4/ivy.el ]; then curl -L https://stable.melpa.org/packages/ivy-0.13.4.tar | tar x -C deps/; fi;
	@$(EMACS) $(EMACS_GENERIC_OPTS) -l ./tests/emacs-init.el

=== debian/changelog ===
find-file-in-project (6.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release:
      - Drop 0003-Revert-try-to-fix-test-for-debian.patch, which was merged
        upstream.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 20 Oct 2025 16:24:00 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/find-file-in-project
 Vcs-Git: https://salsa.debian.org/emacsen-team/find-file-in-project.git
 Homepage: https://github.com/technomancy/find-file-in-project
@@ -18,10 +18,11 @@
 Depends: ${elpa:Depends}
        , ${misc:Depends}
        , git
-Recommends: emacs (>= 46.0)
+Recommends: emacs
           , fd-find
 Enhances: emacs
 Suggests: elpa-ivy | elpa-helm
+        , elpa-counsel
 Description: quick access to project files in Emacs
  This library provides methods for quickly finding any file in a project.  It
  uses GNU Find by default, but can also use (the significantly faster)

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
     https://github.com/technomancy/find-file-in-project/tags \
     (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
